Subject: Re: 3.4-rc: NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out

From: Stefan Richter <[email-masked]>
Date: Sat, 4 Aug 2012 14:22:37 +0200

On Jun 02 Stefan Richter wrote:
> I haven't had time to look further into it yet.  Just two minor findings:
> 
> (a) After update from 3.4-rc5 to 3.4, the problem persisted.
> 
> (b) Later I noticed that silent file corruptions on FireWire disks happened
> and happen under 3.4-rc5 and 3.4, so I reverted into 3.3.1 which fixed
> that issue.  Furthermore, since 6 days uptime of 3.3.1, the eth0 (r8169)
> transmit queue time-out did never occur.

After a month uptime of 3.3.1 without any problems, I rebooted into 3.5
six days ago.  The frequent "r8169 0000:0b:00.0: eth0: link up" messages
which I got with 3.4-rc5 and 3.4 no longer happen.  Whatever was wrong
with my system, it no longer is.  Either 3.5 fixed it or it was an issue
external to the kernel or even external to the PC.
-- 
Stefan Richter
-=====-===-- =--- --=--
http://arcgraph.de/sr/